| Kea 3.0.2-git

server_collection.h File Reference
`#include <database/server.h>`
`#include <boost/multi_index/mem_fun.hpp>`
`#include <boost/multi_index/indexed_by.hpp>`
`#include <boost/multi_index/ordered_index.hpp>`
`#include <boost/multi_index_container.hpp>`
Include dependency graph for server_collection.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::db::ServerFetcher
| Utility class used to fetch `Server` objects from the `ServerCollection`. More...
struct | isc::db::ServerTagIndexTag
| Tag identifying an index by server tag. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::db

## Typedefs
typedef boost::multi_index_container< ServerPtr, boost::multi_index::indexed_by< boost::multi_index::ordered_unique< boost::multi_index::tag< ServerTagIndexTag >, boost::multi_index::const_mem_fun< Server, std::string, &Server::getServerTagAsText > > > > | isc::db::ServerCollection
| Multi index container for `Server`.